[arch-commits] Commit in trayer/repos (3 files)

Thayer Williams thayer at archlinux.org
Fri Oct 17 18:24:57 EDT 2008


    Date: Friday, October 17, 2008 @ 18:24:57
  Author: thayer
Revision: 15737

Merged revisions 356,15736 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/trayer/trunk

........
  r356 | aaron | 2008-04-18 15:56:27 -0700 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r15736 | thayer | 2008-10-17 15:21:17 -0700 (Fri, 17 Oct 2008) | 2 lines
  
  upgpkg: trayer 1.0-2
      fixed CFLAGS required for compilation
........

Added:
  trayer/repos/extra-i686/trayer.diff
    (from rev 15736, trayer/trunk/trayer.diff)
Modified:
  trayer/repos/extra-i686/	(properties)
  trayer/repos/extra-i686/PKGBUILD

-------------+
 PKGBUILD    |   13 +++++++++----
 trayer.diff |   22 ++++++++++++++++++++++
 2 files changed, 31 insertions(+), 4 deletions(-)


Property changes on: trayer/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /trayer/trunk:1
   + /trayer/trunk:1-15736

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-17 22:21:17 UTC (rev 15736)
+++ extra-i686/PKGBUILD	2008-10-17 22:24:57 UTC (rev 15737)
@@ -1,18 +1,23 @@
 # $Id$
-# Maintainer: Simo Leone <simo at archlinux.org>
+# Maintainer: Thayer Williams <thayer at archlinux.org>
+# Contributor: Unknown
 
 pkgname=trayer
 pkgver=1.0
 pkgrel=2
 pkgdesc="Swallows GTK 1.2/2.x application docklets, and KDE docklets."
+arch=('i686')
 url="http://fvwm-crystal.org"
-license=""
+license=('GPL' 'custom')
 depends=('gtk2')
-source=(http://download.gna.org/fvwm-crystal/trayer/$pkgver/$pkgname-$pkgver.tar.gz)
-md5sums=('e1b0b6464f991f2c296561e377585867')
+source=(http://download.gna.org/fvwm-crystal/trayer/$pkgver/$pkgname-$pkgver.tar.gz
+        trayer.diff)
+md5sums=('e1b0b6464f991f2c296561e377585867'
+         '7f66eee885563871f9f76646bca6b14d')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
+  patch -Np0 -i ${startdir}/src/trayer.diff || return 1
   make || return 1
   make PREFIX=$startdir/pkg/usr install
 }

Copied: trayer/repos/extra-i686/trayer.diff (from rev 15736, trayer/trunk/trayer.diff)
===================================================================
--- extra-i686/trayer.diff	                        (rev 0)
+++ extra-i686/trayer.diff	2008-10-17 22:24:57 UTC (rev 15737)
@@ -0,0 +1,22 @@
+ # This patchfile was courtesy of the Debian team.  Thanks!
+--- Makefile.common
++++ Makefile.common~
+@@ -25,7 +25,7 @@
+ endif
+ 
+ # -DGTK_DISABLE_DEPRECATED does not work yet
+-CFLAGS += -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
++CFLAGS += -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED
+ 
+ %.o: %.c
+ 	$(CC) $(CFLAGS) $(INCS) -c $<
+--- panel.c
++++ panel.c~
+@@ -588,7 +588,6 @@
+     printf(" --height <number>\n");
+     printf(" --SetDockType <true|false>\n");
+     printf(" --SetPartialStrut <true|false>\n");
+-    printf(" --RoundCorners <true|false>\n");
+     printf(" --transparent <true|false>\n");
+     printf(" --alpha <number>\n");
+     printf(" --tint <int>\n");




More information about the arch-commits mailing list